<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.1
 */
/********************* Color Option **********************************************/

	$whitish_lite_settings = whitish_lite_get_theme_options();

	// Add color scheme setting and control.
	$wp_customize->add_setting( 'color_scheme', array(
		'default'           => 'default_color',
		'sanitize_callback' => 'whitish_lite_sanitize_color_scheme',
		'transport'         => 'postMessage',
	) );

	$wp_customize->add_control( 'color_scheme', array(
		'description'    => __( 'Select Color Style', 'whitish-lite' ),
		'section'  => 'colors',
		'type'     => 'select',
		'choices'  => whitish_lite_get_color_scheme_choices(),
		'priority' => 1,
	) );

	$wp_customize->add_setting( 'site_page_nav_link_title_color', array(
		'default'				=> $whitish_lite_settings['site_page_nav_link_title_color'],
		'sanitize_callback'	=> 'sanitize_hex_color',
		'transport'				=> 'postMessage',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_page_nav_link_title_color', array(
		'description'       => __( 'Nav and links', 'whitish-lite' ),
		'section'     => 'colors',
	) ) );

	$wp_customize->add_setting( 'whitish_lite_button_color', array(
		'default'				=> $whitish_lite_settings['whitish_lite_button_color'],
		'sanitize_callback'	=> 'sanitize_hex_color',
		'transport'				=> 'postMessage',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'whitish_lite_button_color', array(
		'description'       => __( 'Buttons Reset/ Submit', 'whitish-lite' ),
		'section'     => 'colors',
	) ) );

	$wp_customize->add_setting( 'whitish_lite_woocommerce_color', array(
		'default'           => $whitish_lite_settings['whitish_lite_woocommerce_color'],
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'whitish_lite_woocommerce_color', array(
		'description'       => __( 'WooCommerce', 'whitish-lite' ),
		'section'     => 'colors',
	) ) );
?>