<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
/******************** Whitish Lite FRONTPAGE  *********************************************/
$whitish_lite_settings = whitish_lite_get_theme_options();
$wp_customize->add_section( 'whitish_lite_frontpage_features', array(
	'title' => __('Display FrontPage Features','whitish-lite'),
	'priority' => 400,
	'panel' =>'whitish_lite_options_panel'
));
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_disable_features]', array(
	'default' => $whitish_lite_settings['whitish_lite_disable_features'],
	'sanitize_callback' => 'whitish_lite_checkbox_integer',
	'type' => 'option',
));
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_disable_features]', array(
	'priority' => 405,
	'label' => __('Disable in Front Page', 'whitish-lite'),
	'section' => 'whitish_lite_frontpage_features',
	'type' => 'checkbox',
));

$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_featured_block_title]', array(
	'default' => $whitish_lite_settings['whitish_lite_featured_block_title'],
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option',
));
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_featured_block_title]', array(
	'priority' => 406,
	'label' => __('Featured Block Title', 'whitish-lite'),
	'section' => 'whitish_lite_frontpage_features',
	'type' => 'text',
));

for ( $i=1; $i <= $whitish_lite_settings['whitish_lite_total_features'] ; $i++ ) {
	$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_frontpage_features_'. $i .']', array(
		'default' =>'',
		'sanitize_callback' =>'whitish_lite_sanitize_page',
		'type' => 'option',
		'capability' => 'manage_options'
	));
	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_frontpage_features_'. $i .']', array(
		'priority' => 420 . $i,
		'label' => __(' Feature ', 'whitish-lite') . ' ' . $i ,
		'section' => 'whitish_lite_frontpage_features',
		'type' => 'dropdown-pages',
	));
}
?>