<?php
/**
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
/**************** Whitish Lite REGISTER WIDGETS ***************************************/
if (! function_exists('whitish_lite_widgets_init')) {
	add_action('widgets_init', 'whitish_lite_widgets_init');
	function whitish_lite_widgets_init() {

		register_sidebar(array(
				'name' => __('Main Sidebar', 'whitish-lite'),
				'id' => 'whitish_lite_main_sidebar',
				'description' => __('Shows widgets at Main Sidebar.', 'whitish-lite'),
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => '</aside>',
				'before_title' => '<h2 class="widget-title">',
				'after_title' => '</h2>',
			));
		global $whitish_lite_settings;
		$whitish_lite_settings = wp_parse_args( get_option( 'whitish_lite_theme_options', array() ), whitish_lite_get_option_defaults_values() );
		for($i =1; $i<= $whitish_lite_settings['whitish_lite_footer_column_section']; $i++){
		register_sidebar(array(
				'name' => __('Footer Widget ', 'whitish-lite') . $i,
				'id' => 'whitish_lite_footer_'.$i,
				'description' => __('Shows widgets at Footer Widget ', 'whitish-lite').$i,
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => '</aside>',
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
			));
		}
	}
}

if (in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ):
	if (! function_exists('whitish_lite_woocommerce_sidebar')) {
		add_action('widgets_init', 'whitish_lite_woocommerce_sidebar');
		function whitish_lite_woocommerce_sidebar() {
			register_sidebar(array(
					'name' => __('WooCommerce Sidebar', 'whitish-lite'),
					'id' => 'whitish_lite_woocommerce_sidebar',
					'description' => __('Add WooCommerce Widgets Only', 'whitish-lite'),
					'before_widget' => '<div id="A%1$s" class="widget %2$s">',
					'after_widget' => '</div>',
					'before_title' => '<h2 class="widget-title">',
					'after_title' => '</h2>',
				));
		}
	}
endif;